void ES1_90120()
{
	//open chain with Be events only and draw E_Be

	//order: al0, noal0, al180, noal180

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(90, 120);

//	ana.SetFigures("figures/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();
	Bool_t epsilonT[6] = {0,0,1,0,0};
	Bool_t cosThetaT[6] = {0,0,1,0,0};
	Bool_t epsilonY[6] = {0,0,1,0,0};
	Bool_t cosThetaY[6] = {0,0,1,0,0};
	Bool_t thetaAT[6] = {0,0,1,0,0};

	ana.SetSpectra();
	ana.SetEpsilonTintervals(epsilonT);
		ana.SetEpsilonTintervals();
	ana.SetCosThetaTkIntervals(cosThetaT);
	ana.SetCosThetaTkIntervals();
	ana.SetEpsilonYintervals(epsilonY);
	ana.SetEpsilonYintervals();
	ana.SetCosThetaYkIntervals(cosThetaY);
	ana.SetCosThetaYkIntervals();
	ana.SetThetaATintervals(thetaAT);
	ana.SetThetaATintervals();


	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEvents[6] = {2280000, 2290000, 2100000, 2300000, 2330000, 2300000};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	Int_t upSimFile[6] = {6, 6, 6, 6, 6, 6};
	ana.SetNoSimFiles(lowSimFile, upSimFile);
	ana.SetSimChains("../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_0_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_0_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_180_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_180_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_90_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_90_80-130_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_0_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_0_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_180_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_180_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_90_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_90_80-130_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetRatiosGStoEX("sRatio>0.108 && sRatio<0.158",
						"sRatio>0.104 && sRatio<0.154",
						"sRatio>0.0109 && sRatio<0.159",
						"sRatio>0.103 && sRatio<0.153",
						"sRatio>0.101 && sRatio<0.151",
						"sRatio>0.104 && sRatio<0.154");
	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.ExpEventsECuts(eEventsECuts);

	Long64_t sEventsECuts[5][6] = {2300000, 2310000, 2130000, 2330000, 2320000, 2310000,
									2260000, 2270000, 2010000, 2280000, 2280000, 2280000,
									sMaxEvents, sMaxEvents, 2290000, sMaxEvents, sMaxEvents, sMaxEvents,
									3270000, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
									2320000, 2330000, 2100000, 2340000, 2370000, 2340000};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

///////////////////////////////////////////////////////////////////////////////////

	ana.Spectra();
	sw.Print();
	sw.Continue();

	ana.EpsilonT();
	sw.Print();
	sw.Continue();

	ana.CosThetaTk();
	sw.Print();
	sw.Continue();

	ana.EpsilonY();
	sw.Print();
	sw.Continue();

	ana.CosThetaYk();
	sw.Print();
	sw.Continue();

	ana.ThetaAT();
	sw.Print();
	sw.Continue();

	Info("ES1_90120.cxx", "Finished.");

	return;

}


